
Ryzom - Bug # 1201

Status: Closed Priority: Normal
Author: Naush Category: OS: GNU/Linux
Created: 11/22/2010 Assignee: kervala
Updated: 01/08/2011 Due date:
Subject: glXSwapIntervalMESA & glXGetSwapIntervalMESA Not present in NVidia GL include file
Description

Those two functions are not present in NVidia GL/glx.h include file

Maybe you should use #ifdef GLX_MESA_swap_control

Regards,

History
#1 - 11/22/2010 11:54 am - kervala
- Category set to OS: GNU/Linux
- Status changed from New to Assigned
- Assignee set to kervala

#2 - 11/22/2010 11:58 am - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r1178.

#3 - 11/22/2010 11:58 am - kervala
- Target version set to Version 0.8.0

If extension is not specified in a header, it doesn't mean, it's not supported by the card :)

Example: if you have a NVIDIA card and you compile client, you can give your compiled files to another guy which has a card where extension is
available and it should work.

So method we used in this case is declaring our functions prototypes and defines.

Thanks for reporting that :)

#4 - 01/08/2011 06:49 pm - kervala
- Status changed from Resolved to Closed
